## jigit 1.16

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 all: $(BINS)
 
 mkimage: mkimage.o endian.o md5.o
-	$(CC) -o $@ $+ -lz # -lbz2
+	$(CC) -o $@ $+ -lz -lbz2
 
 jigsum: jigsum.o md5.o
 	$(CC) -o $@ $+
@@ -17,6 +17,6 @@
 	$(CC) -o $@ $+
 
 clean:
-	rm -f *.o $(BINS) *~
+	rm -f *.o $(BINS) *~ build-stamp
 
 distclean: clean
