=== debian/changelog ===
jigit (1.19-2) unstable; urgency=low

  * Use dh-autoreconf to update libtool.m4 for new ports.
    Closes: #727293. Thanks to Colin Watson for the (updated) patch.
  * Misc maintenance:
    + Switch source format to 3.0 'quilt'.
    + Update Standards-Version to 3.9.5
    + Add build-arch and build-indep targets
    + Add hardening compilation options

 -- Steve McIntyre <93sam@debian.org>  Thu, 19 Dec 2013 13:13:18 +0000

jigit (1.19-1) unstable; urgency=low

  * New upstream release.
    + Improved error-handling in mkimage and libjte.
      - mkjigsnap rewrite:
      - merge two old implementations
      - switch to perl: cleaner code, much faster snapshot generation
      - added -v (verbose) and -N (dry-run) options
    + Put AC_CONFIG_MACRO_DIR in a better place in the libjte configure
      script.
    + Remove -Werror from the Makefile - gcc is getting more and more
      pedantic with every release, and this may cause package builds to
      fail.
  * Removed the jigit script itself - it hasn't worked in ages, and just
    doesn't seem to be useful any more. Closes: #506449

 -- Steve McIntyre <93sam@debian.org>  Thu, 16 Jun 2011 15:36:51 +0100

jigit (1.18-2) unstable; urgency=low

  * Turn off -Werror for release builds. Leaving the bug open, as I have
    reassigned it to gcc-4.6.

 -- Steve McIntyre <93sam@debian.org>  Sun, 29 May 2011 14:24:28 +0100

jigit (1.18-1) unstable; urgency=low

  * New upstream release.
    + More dynamic memory handling in mkimage, instead of allocating
      fixed-size strings on the stack. Should now work on Hurd too.
    + Fix man page syntax errors.
    + s,config.h,../config.h, in libjte for easier use by the xorriso folks

 -- Steve McIntyre <93sam@debian.org>  Sat, 30 Apr 2011 19:06:18 +0100

jigit (1.17-2) unstable; urgency=low

  * Include jigdo-gen-md5-list and its man page. Closes: #620155

 -- Steve McIntyre <93sam@debian.org>  Wed, 30 Mar 2011 20:57:56 +0100

jigit (1.17-1) unstable; urgency=low

  * New upstream release, complete with new libjte code.

 -- Steve McIntyre <93sam@debian.org>  Sun, 20 Mar 2011 01:17:45 +0000

jigit (1.16-2) unstable; urgency=low

  * Rename the mkimage binary to jigit-mkimage so we don't clash with
    uboot-mkimage. Closes: #472218
  * Install iso-image.pl as an example CGI. (Closes: #471702)

 -- Steve McIntyre <93sam@debian.org>  Sun, 23 Mar 2008 20:57:42 +0000

jigit (1.16-1) unstable; urgency=low

  * New upstream version with fixes for several bugs:
    + Remove build-stamp from the upstream tarball; Closes: #445003
    + Fix wget options typo; Closes: #416420, #444413
    + In mkimage, don't stat every file mentioned in the md5 list until we
      need to. Closes: #340312. Thanks to Ian Jackson for the patch.
  * Updated Standards-Version and debhelper version.

 -- Steve McIntyre <93sam@debian.org>  Thu, 18 Oct 2007 02:25:23 +0100

jigit (1.15-2) unstable; urgency=low

  * Fixes for GCC4 compilation. Thanks to Andreas Jochens for the
    patch. Closes: #292999

 -- Steve McIntyre <93sam@debian.org>  Mon, 25 Jul 2005 22:08:28 +0100

jigit (1.15-1) unstable; urgency=low

  * New upstream version. mkimage code refactored to make it easier
    to maintain.
  * Cleaned up licensing - added explicit GPL v2 headers all over.	
  * Fix image reconstruction with jigit. Closes: #287993.

 -- Steve McIntyre <93sam@debian.org>  Mon, 17 Jan 2005 22:39:28 +0000

jigit (1.14-6) unstable; urgency=low

  * Fix jigdo-handling problem; cope with missing files better.

 -- Steve McIntyre <93sam@debian.org>  Sun, 02 Jan 2005 12:27:12 +0000

jigit (1.14-5) unstable; urgency=low

  * Fix FTBFS with gcc-4.0. Closes: #286486

 -- Steve McIntyre <93sam@debian.org>  Sun, 26 Dec 2004 18:01:01 +0000

jigit (1.14-4) unstable; urgency=low

  * Doh! Fix silly bug in the previous change...

 -- Steve McIntyre <93sam@debian.org>  Mon, 06 Dec 2004 00:06:02 +0000

jigit (1.14-3) unstable; urgency=low

  * Minor cosmetic updates to mkimage; fail immediately if we're missing
    files and we're not trying to build a "missing" list

 -- Steve McIntyre <93sam@debian.org>  Thu, 11 Nov 2004 01:49:02 +0000

jigit (1.14-2) unstable; urgency=low

  * Fixed formatting of Description in the control file. Closes: #278111
  * Added Recommends: wget for the jigit script.

 -- Steve McIntyre <93sam@debian.org>  Sun, 24 Oct 2004 23:31:02 +0100

jigit (1.14-1) unstable; urgency=low

  * Fixed generation of rsyncsums
  * Added -d option to mkjigsnap to specify DIRNAME
  * Minor prettiness tweaks to output UI of mkimage and jigit
  * 64-bit printf fixes

 -- Steve McIntyre <93sam@debian.org>  Tue, 12 Oct 2004 11:53:26 +0100

jigit (1.13-2) unstable; urgency=low

  * Added build-dep on zlib1g-dev.

 -- Steve McIntyre <93sam@debian.org>  Tue, 21 Sep 2004 15:06:26 +0100

jigit (1.13-1) unstable; urgency=low

  * Initial upload.

 -- Steve McIntyre <93sam@debian.org>  Thu, 09 Sep 2004 11:49:43 +0100
