=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	AUTOMAKE='automake --foreign' dh_autoreconf
	cd libjte && ./configure --prefix=/usr
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	$(MAKE) distclean

	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	#$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install
	dh_install -pjigit jigit-mkimage jigdump jigsum usr/bin
	dh_install -pjigit libjte/bin/jigdo-gen-md5-list usr/bin
	dh_install -pjigit mkjigsnap usr/sbin
	dh_install -pjigit jigit-mkimage.1 jigdump.1 jigsum.1 usr/share/man/man1
	dh_install -pjigit libjte/doc/jigdo-gen-md5-list.1 usr/share/man/man1
	dh_install -pjigit mkjigsnap.8 usr/share/man/man8
	dh_install -pjigit iso-image.pl usr/share/doc/jigit/examples

	dh_install -plibjte1 libjte/libjte/.libs/libjte.so.1.0.0 usr/lib
	dh_install -plibjte1 libjte/libjte/.libs/libjte.so.1 usr/lib

	dh_install -plibjte-dev libjte/libjte/.libs/libjte.a usr/lib
	dh_install -plibjte-dev libjte/libjte/.libs/libjte.so usr/lib
	dh_install -plibjte-dev libjte/libjte.h usr/include/libjte
	dh_install -plibjte-dev libjte/libjte-1.pc usr/lib/pkgconfig

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_makeshlibs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
