=== debian/changelog ===
jigit (1.20-2ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:30:10 +0000

jigit (1.20-2ubuntu1) xenial; urgency=medium

  * Multiarchify the library packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 02:13:12 +0100

jigit (1.20-2) unstable; urgency=medium

  * Update the priority of libjte1 to optional, to match libisofs6 that
    depends on it.
  * Update Standards-Version

 -- Steve McIntyre <93sam@debian.org>  Wed, 18 Nov 2015 00:46:22 +0000

jigit (1.20-1) unstable; urgency=medium

  * New upstream release. Changes:
    + mkjigsnap:
      - Add support for tracking back-references, i.e. which jigdo did a
        particular file come from.
      - Add support for verifying checksums
    + jigsum:
      - Add support for verifying checksums, similar to md5sum etc.
    + Misc code cleanups:
      - warnings
      - sparse errors
      - Fix memset calls to zero the right amount of memory
  * Drop hardening compilation patch - now upstream
    + Add hardening compilation options

 -- Steve McIntyre <93sam@debian.org>  Mon, 18 Aug 2014 16:09:25 +0100
