=== debian/changelog ===
jigit (1.21-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Multiarchify the library packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 May 2019 15:13:22 -0700

jigit (1.21-1) unstable; urgency=medium

  * New upstream release
    + parallel-sums:
      - New utility for calculating checksums in parallel
    + Misc code cleanups
    + Misc man page cleanups
    + jigit-mkimage:
      - Print missing file names correctly
  * Update Standards-Version
  * Update debhelper compat level to 10
    + Remove obsolete build-dep on dh-autoreconf
  * Move all packages from Priority: extra to Priority: optional

 -- Steve McIntyre <93sam@debian.org>  Mon, 04 Feb 2019 18:21:15 +0000
