=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: jigit
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
-Build-Depends: debhelper (>= 8), zlib1g-dev, libbz2-dev, dh-autoreconf
-Standards-Version: 3.9.6.0
-Homepage: http://www.einval.com/~steve/software/JTE/
+Build-Depends: debhelper (>= 10), zlib1g-dev, libbz2-dev
+Standards-Version: 4.3.0
+Homepage: https://www.einval.com/~steve/software/JTE/
 
 Package: jigit
 Section: utils
-Priority: extra
+Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libio-compress-perl
 Recommends: wget
@@ -21,6 +21,7 @@
   jigdump:       list the contents of a template file 
   jigsum:        Output MD5 sums in the base64-style jigdo way
   mkjigsnap:     helper script to be run on the upstream server
+  parallel-sums: program to generate multiple checksums in parallel
 
 Package: libjte1
 Section: libs
@@ -38,7 +39,7 @@
 
 Package: libjte-dev
 Section: libdevel
-Priority: extra
+Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}, zlib1g-dev, libbz2-dev, libjte1 (= ${binary:Version})
