=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/architecture.mk
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -39,24 +40,26 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
+	dh_installdirs -plibjte-dev /usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig
 
 	# Add here commands to install the package into debian/<packagename>
 	#$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install
-	dh_install -pjigit jigit-mkimage jigdump jigsum usr/bin
+	dh_install -pjigit jigit-mkimage jigdump jigsum parallel-sums usr/bin
 	dh_install -pjigit libjte/bin/jigdo-gen-md5-list usr/bin
 	dh_install -pjigit mkjigsnap usr/sbin
 	dh_install -pjigit jigit-mkimage.1 jigdump.1 jigsum.1 usr/share/man/man1
+	dh_install -pjigit parallel-sums.1 usr/share/man/man1
 	dh_install -pjigit libjte/doc/jigdo-gen-md5-list.1 usr/share/man/man1
 	dh_install -pjigit mkjigsnap.8 usr/share/man/man8
 	dh_install -pjigit iso-image.pl usr/share/doc/jigit/examples
 
-	dh_install -plibjte1 libjte/libjte/.libs/libjte.so.1.0.0 usr/lib
-	dh_install -plibjte1 libjte/libjte/.libs/libjte.so.1 usr/lib
+	dh_install -plibjte1 libjte/libjte/.libs/libjte.so.1.0.0 usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_install -plibjte1 libjte/libjte/.libs/libjte.so.1 usr/lib/$(DEB_HOST_MULTIARCH)
 
-	dh_install -plibjte-dev libjte/libjte/.libs/libjte.a usr/lib
-	dh_install -plibjte-dev libjte/libjte/.libs/libjte.so usr/lib
+	dh_install -plibjte-dev libjte/libjte/.libs/libjte.a usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_install -plibjte-dev libjte/libjte/.libs/libjte.so usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_install -plibjte-dev libjte/libjte.h usr/include/libjte
-	dh_install -plibjte-dev libjte/libjte-1.pc usr/lib/pkgconfig
+	dh_install -plibjte-dev libjte/libjte-1.pc usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 
 # Build architecture-independent files here.
 binary-indep: build install
