=== debian/changelog ===
jigit (1.22-4ubuntu2) noble; urgency=medium

  * Rename libjte2 package as although it is not affected by the time_t
    transition to 64-bits, it is affected by the LFS migration which is
    implied by the time_t changes.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 19 Apr 2024 12:07:12 +1200

jigit (1.22-4ubuntu1) noble; urgency=low

  * Merge from Debian unstable (LP: #2044164). Remaining changes:
    - d/tests: Add basic test as described in libjte/test/demo.c
  * Renamed the debian/tests/launch_demo.sh test to
    debian/tests/launch-demo.sh to satisfy runtime test filename requirements.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 21 Nov 2023 11:09:26 -0600

jigit (1.22-4) unstable; urgency=medium

  * Don't ship empty directory /usr/lib/pkgconfig. Closes: #1041753
  * Fix cross-building. Closes: #836791. Thanks to Helmut Grohne for
    the patch.
     + Let dh_auto_configure pass relevant cross flags
     + Pass triplet-prefixed CC to make

 -- Steve McIntyre <93sam@debian.org>  Thu, 03 Aug 2023 22:10:39 +0100

jigit (1.22-3ubuntu1) kinetic; urgency=medium

  * d/tests: Add basic test as described in libjte/test/demo.c (LP: #1978286)

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Wed, 08 Jun 2022 17:37:48 +0200

jigit (1.22-3build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:04:25 +0000

jigit (1.22-3) unstable; urgency=medium

  * Multiarchify the library packages. Closes: #812946. Thanks to Matthias
    Klose for the patch, via Ubuntu.
  * Fix up dates for old changelog entries (oops!)

 -- Steve McIntyre <93sam@debian.org>  Fri, 06 Dec 2019 19:08:56 +0000

jigit (1.22-2) unstable; urgency=medium

  * Re-upload as source-only now we're through binary-NEW. No changes.

 -- Steve McIntyre <93sam@debian.org>  Tue, 26 Nov 2019 01:55:03 +0000

jigit (1.22-1) unstable; urgency=medium

  * New upstream release
     + Add support for SHA256 checksums, using jigdo format v2
       - Changes to libjte to generate the new format as an option -
         still defaults to v1 for cmpatibility for now
       -  libjte updated to major version 2
       - Add support for v2 in jigdump, jigit-mkimage etc. too
       - Add new jigsum-sha256 program, for the base64-like output
         with sha256 checksums
     + jigdump now also understands jigdo .iso.tmp files
     + Misc small cleanups
  * libjte gets a new major version (1->2), but ~nothing in the
    archive depends on it

 -- Steve McIntyre <93sam@debian.org>  Thu, 21 Nov 2019 19:18:59 +0000
