=== debian/control ===
--- 
+++ 
@@ -17,13 +17,16 @@
  Utilities written to make jigdo files easier to work with.
  .
   jigit-mkimage: program to create images from jigdo files
-  iso-image.pl:  example CGI wrapper for mkimage - make images on the fly!
   jigdump:       list the contents of a template file 
   jigsum:        Output MD5 sums in the base64-style jigdo way
+  jigsum-sha256: Output SHA256 sums in the base64-style jigdo way
   mkjigsnap:     helper script to be run on the upstream server
   parallel-sums: program to generate multiple checksums in parallel
 
-Package: libjte1
+Package: libjte2t64
+Provides: ${t64:Provides}
+Replaces: libjte2
+Breaks: libjte2 (<< ${source:Version})
 Section: libs
 Priority: optional
 Architecture: any
@@ -41,8 +44,7 @@
 Section: libdevel
 Priority: optional
 Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, zlib1g-dev, libbz2-dev, libjte1 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, zlib1g-dev, libbz2-dev, libjte2t64 (= ${binary:Version})
 Description: Jigdo Template Export - development
  libjte is a library providing support for creating jigdo files, to be
  used by ISO image creation tools such as xorriso.
