=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,12 @@
 #export DH_VERBOSE=1
 
 DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/architecture.mk
+
+ifeq ($(origin CC),default)
+	CC = $(DEB_HOST_GNU_TYPE)-gcc
+endif
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -18,8 +22,8 @@
 
 	# Add here commands to compile the package.
 	AUTOMAKE='automake --foreign' dh_autoreconf
-	cd libjte && ./configure --prefix=/usr
-	$(MAKE)
+	dh_auto_configure --sourcedirectory libjte
+	$(MAKE) CC=$(CC)
 
 	touch build-stamp
 
@@ -44,22 +48,20 @@
 
 	# Add here commands to install the package into debian/<packagename>
 	#$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install
-	dh_install -pjigit jigit-mkimage jigdump jigsum parallel-sums usr/bin
-	dh_install -pjigit libjte/bin/jigdo-gen-md5-list usr/bin
+	dh_install -pjigit jigit-mkimage jigdump usr/bin
+	dh_install -pjigit jigsum jigsum-sha256 parallel-sums usr/bin
+	dh_install -pjigit libjte/bin/jigdo-gen-checksum-list usr/bin
 	dh_install -pjigit mkjigsnap usr/sbin
-	dh_install -pjigit jigit-mkimage.1 jigdump.1 jigsum.1 usr/share/man/man1
-	dh_install -pjigit parallel-sums.1 usr/share/man/man1
-	dh_install -pjigit libjte/doc/jigdo-gen-md5-list.1 usr/share/man/man1
+	dh_install -pjigit *.1 usr/share/man/man1
 	dh_install -pjigit mkjigsnap.8 usr/share/man/man8
-	dh_install -pjigit iso-image.pl usr/share/doc/jigit/examples
 
-	dh_install -plibjte1 libjte/libjte/.libs/libjte.so.1.0.0 usr/lib/$(DEB_HOST_MULTIARCH)
-	dh_install -plibjte1 libjte/libjte/.libs/libjte.so.1 usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_install -plibjte2t64 libjte/libjte/.libs/libjte.so.2.0.0 usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_install -plibjte2t64 libjte/libjte/.libs/libjte.so.2 usr/lib/$(DEB_HOST_MULTIARCH)
 
 	dh_install -plibjte-dev libjte/libjte/.libs/libjte.a usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_install -plibjte-dev libjte/libjte/.libs/libjte.so usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_install -plibjte-dev libjte/libjte.h usr/include/libjte
-	dh_install -plibjte-dev libjte/libjte-1.pc usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+	dh_install -plibjte-dev libjte/libjte-2.pc usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig
 
 # Build architecture-independent files here.
 binary-indep: build install
