=== debian/tests/control ===
Tests: launch-demo.sh
Depends: jigit
Restrictions: build-needed
